This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 431281 - Requies(postun) not honored in certain situations
Requies(postun) not honored in certain situations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 17:52 EST by Orion Poplawski
Modified: 2014-01-21 18:01 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:54:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-02-01 17:52:49 EST
Description of problem:

gridengine-execd and gridengine-qmaster has the following requires:

Requires(postun): %{name} = %{version}-%{release}

However, with the following command:

yum -y remove gridengine\*

yum will allow itself to remove gridengine before gridengine-execd and
gridengine-qmaster.  This causes problem because the initscripts in the first
two packages depend on files in the base package:

Running Transaction
  Erasing   : gridengine                   ######################### [1/5]
/etc/init.d/sgeexecd: line 85: /usr/share/gridengine/util/arch: No such file or
directory
/etc/init.d/sgeexecd: line 86: /usr/share/gridengine/util/arch: No such file or
directory
/etc/init.d/sgeexecd: line 91: =$:/usr/share/gridengine/lib/: No such file or
directory
export LANG="en_US.UTF-8"
export OLDPWD
export PATH="/bin:/usr/bin:/sbin:/usr/sbin"
export PWD="/"
export SGE_CELL="default"
export SGE_ROOT="/usr/share/gridengine"
export SHLVL="1"
export TERM="xterm"
/etc/init.d/sgeexecd: line 219: /usr/libexec/gridengine/utilbin/gethostname: No
such file or directory
/etc/init.d/sgeexecd: line 220: /usr/libexec/gridengine/utilbin/gethostname: No
such file or directory
/etc/init.d/sgeexecd: line 142: /usr/bin/qconf: No such file or directory
/etc/init.d/sgeexecd: line 144: /usr/bin/qconf: No such file or directory
   Shutting down Grid Engine execution daemon
ls: cannot access //active_jobs: No such file or directory
  Erasing   : gridengine-execd             ######################### [2/5]
  Erasing   : gridengine-devel             ######################### [3/5]
  Erasing   : gridengine-qmon              ######################### [4/5]
/etc/init.d/sgemaster: line 89: /usr/share/gridengine/util/arch: No such file or
directory
/etc/init.d/sgemaster: line 96: /usr/share/gridengine/util/arch: No such file or
directory
/etc/init.d/sgemaster: line 101: =$:/usr/share/gridengine/lib/: No such file or
directory
export LANG="en_US.UTF-8"
export OLDPWD
export PATH="/bin:/usr/bin:/sbin:/usr/sbin"
export PWD="/"
export SGE_CELL="default"
export SGE_ROOT="/usr/share/gridengine"
export SHLVL="1"
export TERM="xterm"
can't determine path to Grid Engine binaries
  Erasing   : gridengine-qmaster           ######################### [5/5]


Note that "yum remove gridengine" which is by far the most common way of
removing these packages works as expected.

Version-Release number of selected component (if applicable):
yum-3.2.8-2.fc8
Comment 1 Bug Zapper 2008-11-26 04:40:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:54:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.